# Maintainer: Future Linux Team <future_linux@163.com>

pkgname=check
pkgver=0.15.2
pkgrel=1
pkgdesc="A unit testing framework for C"
arch=('x86_64')
url="https://libcheck.github.io/check/"
license=('LGPL')
groups=('base')
depends=('bash' 'gawk')
makedepends=('gcc' 'grep' 'make' 'sed' 'texinfo')
source=(https://github.com/libcheck/check/releases/download/${pkgver}/${pkgname}-${pkgver}.tar.gz)
sha256sums=(a8de4e0bacfb4d76dd1c618ded263523b53b85d92a146d8835eb1a52932fa20a)

build() {
    cd ${pkgname}-${pkgver}

    ${configure} --disable-static

    make
}

package() {
    cd ${pkgname}-${pkgver}

    make DESTDIR=${pkgdir} install
}
